package com.dxhy.common.enums;

import lombok.AllArgsConstructor;

/**
 * @author jiaohongyang
 */
@AllArgsConstructor
public enum QSignStatusEnum {
    /**
     * 签收状态0未签收1已签收
     */

    A("0", "未签收"), B("1", "已签收");

    private final String key;
    private final String value;

    public static String getVal(String key) {
        for (QSignStatusEnum materialEnum : QSignStatusEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }

    public String getKey() {
        return key;
    }
}
